Bug 486595 - condor_configuration_node input validation
condor_configuration_node input validation
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: grid (Show other bugs)
1.1
All Linux
low Severity low
: 1.3
: ---
Assigned To: Robert Rati
Lubos Trilety
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-20 09:58 EST by Martin Kudlej
Modified: 2010-10-14 11:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, there was no input validation of variables in the 'condor_configuration_node' function. With this update, all variables are validated.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-14 11:58:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Kudlej 2009-02-20 09:58:06 EST
Description of problem: 
There isn't any input validation in condor_configuration_node.

Actual results:
It is possible to set all variable to text, for example port number, IP.

Expected results:
Validation of all non-textual variables.

Additional info:
condor-remote-configuration-server-1.0-14.el5
Comment 1 Robert Rati 2010-02-23 16:11:23 EST
All non-string params are not verified to be valid.

Fixed in:
condor-qmf-config-tools-2.1-0.1
Comment 2 Martin Kudlej 2010-04-29 10:29:16 EDT
Which ones are verified to be valid?
Comment 3 Robert Rati 2010-05-12 11:15:57 EDT
In the latest build (2.7-1):
All prompted params specific to VMUniverse
QMF Broker port
Broker port specified with -o
Comment 4 Lubos Trilety 2010-08-17 09:19:59 EDT
Tested with (version):
condor-wallaby-tools-3.0-1

Notes:
The original tool is no longer available the problem was tested with the actual tools - condor_configure_store/pool. It was only tested command line inputs such as qmf port number. Other inputs are tested are covered by bug 613595. 
For testing of wallaby-utils command tools see bug 613666.

Tested on:
RHEL5 i386,x86_64  - passed

>>> VERIFIED
Comment 5 Martin Prpič 2010-10-06 08:49:56 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, there was no input validation of variables in the 'condor_configuration_node' function. With this update, all variables are validated.
Comment 7 errata-xmlrpc 2010-10-14 11:58:20 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0773.html

Note You need to log in before you can comment on or make changes to this bug.